<?

 /*****************************************************************************
 * Filename: include/modules/comments.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_Comments extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Comments";

   $this->data->defaultFields();

   $this->data->addField("subject", "text", "all", "title", 5, 50, false, "Subject");
   $this->data->addField("text", "text", "all", false, 0, 65536, false, "Comments");

   $this->data->addField("module", "module", "all", "reload", 1, 25, 0, "Module");
   $this->data->addField("refernr", "nr", "all", "", 1, false, 0, "Reference");

   if($this->data->getValue("module"))
    $this->data->addReference("refernr", $this->data->getValue("module"), "nr", "*:1");

   $this->data->sortOrder("updated-");
  }
 }
?>
